EUFORM-UPDATE-STACK(1)

NAME
euform-update-stack - Update a stack's template, parameters, or capabilities

SYNOPSIS
euform-update-stack [--template-file FILE | --template-url URL]

[--capabilities CAP[,...]] [-p KEY=VALUE]
    [--tag KEY[=VALUE] | --delete-tags] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] STACK

DESCRIPTION
Update a stack's template, parameters, or capabilities

  positional arguments:

STACK
    name of the stack to update (required)

  optional arguments:

--template-file FILE
    file containing a new JSON template for the stack

--template-url URL
    URL pointing to a new JSON template for the stack

--capabilities CAP[,...]
    capabilities needed to update the stack

-p KEY=VALUE, --parameter KEY=VALUE
    key and value of the parameters to use with the stack's template, separated by an "=" character

--tag KEY[=VALUE]
    key and optional value of a tag to add, separated by an "=" character. If no value is given the tag's value is set to an empty string.

--delete-tags
    remove all tags associated with the stack

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    deployment templating service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit